package com.junmp.jyzb.service;


import com.junmp.jyzb.api.bean.dto.FetchingDataDto.DeviceConfigInfoDto;
import com.junmp.jyzb.api.bean.query.QueryDeviceConfigReq;
import com.junmp.jyzb.api.bean.req.UpdateDeivceConfigReq;
import com.junmp.jyzb.api.bean.req.UpdateWarehouseDevReq;
import com.junmp.jyzb.entity.DeviceConfig;
import com.baomidou.mybatisplus.extension.service.IService;
import com.junmp.jyzb.entity.WarehouseDev;
import com.junmp.v2.db.api.page.PageResult;

import java.util.List;

/**
* @author lxh专属坐骑
* @description 针对表【base_device_config】的数据库操作Service
* @createDate 2023-12-19 07:18:22
*/
public interface DeviceConfigService extends IService<DeviceConfig> {

    Long addDeviceConfig(UpdateDeivceConfigReq req);

    boolean updateDeviceConfig(UpdateDeivceConfigReq req);

    PageResult<DeviceConfig> showDeviceConfigPage(QueryDeviceConfigReq req);

    List<DeviceConfig> showDeviceConfigList(QueryDeviceConfigReq req);


    List<String> alignDeviceConfigInfo(UpdateDeivceConfigReq req);

    boolean delDeviceConfig(UpdateDeivceConfigReq req);

    String showOneDeviceConfig(QueryDeviceConfigReq req);
}
